probe::kprocess.exec_complete
Prev | Chapter 16. Kernel Process Tapset | Next

## Name

probe::kprocess.exec_complete — Return from exec to a new program

## Synopsis

    kprocess.exec_complete

## Values

`retstr`

  A string representation of errno (SystemTap v2.5+)

`errno`

  The error number resulting from the exec

`name`

  Name of the system call (“execve”) (SystemTap v2.5+)

`success`

  A boolean indicating whether the exec was successful

## Context

On success, the context of the new executable. On failure, remains in the context of the caller.

## Description

Fires at the completion of an exec call. Aliased to the syscall.execve.return probe in SystemTap v2.5+.

Prev | Up | Next
probe::kprocess.exec | Home | probe::kprocess.exit